# TaskHistoryViewHolder
Date: 2018-07-30

kr.co.hanwha.hifive.adapter.viewholder

## Class TaskHistoryViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - kr.co.hanwha.hifive.base.BaseViewHolder
    - - kr.co.hanwha.hifive.adapter.viewholder.TaskHistoryViewHolder

    public class TaskHistoryViewHolder
    extends BaseViewHolder

Created by sanghoonkwon on 2018. 1. 22..

### Field Summary

Fields
`private android.widget.LinearLayout` `mLayoutDetail`
`private android.widget.TextView` `mTextViewRegTime`
`private android.view.View` `mViewLine`

### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`itemView`

### Constructor Summary

Constructors
Constructor and Description
`TaskHistoryViewHolder(android.view.ViewGroup viewGroup)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onBind(java.lang.Object object, int index)`

### Methods inherited from class kr.co.hanwha.hifive.base.BaseViewHolder

`getContext, getHeight`

### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mTextViewRegTime

    private android.widget.TextView mTextViewRegTime

#### mLayoutDetail

    private android.widget.LinearLayout mLayoutDetail

#### mViewLine

    private android.view.View mViewLine

### Constructor Detail

#### TaskHistoryViewHolder

    public TaskHistoryViewHolder(@NonNull
                                 android.view.ViewGroup viewGroup)

### Method Detail

#### onBind

    public void onBind(java.lang.Object object,
                       int index)

Overrides:
  `onBind` in class `BaseViewHolder`